#-*- coding: utf-8 -*-
from feed2telegram import Feed2Telegram

url   = '<url>'
token = '<telegram-bot-token>'

f2t = None

def getIterator(feed):
	return reversed(feed.entries)

def getMessage(entry):
	return entry['link']

def createInstance(threaded):
	global f2t

	f2t = Feed2Telegram(url,
						token,
						getMessage,
						callback_get_entries=getIterator,
						check_interval=60*60,
						new_entries_only=True,
						send_error=True,
						continue_on_error=True,
						threaded=threaded)

# only for example ...
def interrupt(signum, frame):
	f2t.stop()

def runWithThreading():
	import signal
	signal.signal(signal.SIGINT, interrupt)

	createInstance(True)

	f2t.start() # returned
	f2t.join() # blocked

def withoutThreading():
	createInstance(False)

	f2t.start() # blocked

def main():
	withoutThreading()

if __name__ == '__main__':
	main()

